Operations - List

Lista todas as operações de API REST disponíveis do provedor Microsoft.Search.

GET https://management.azure.com/providers/Microsoft.Search/operations?api-version=2025-05-01

Parâmetros do URI

Name Em Obrigatório Tipo Descrição
api-version
query True

string

minLength: 1

A versão da API a utilizar para esta operação.

Respostas

Name Tipo Descrição
200 OK

OperationListResult

Operação do Azure concluída com êxito.

Other Status Codes

CloudError

Uma resposta de erro inesperada.

Segurança

azure_auth

Fluxo OAuth2 do Azure Active Directory.

Tipo: oauth2
Fluxo: implicit
URL de Autorização: https://login.microsoftonline.com/common/oauth2/authorize

Âmbitos

Name Descrição
user_impersonation personificar a sua conta de utilizador

Exemplos

SearchListOperations

Pedido de amostra

GET https://management.azure.com/providers/Microsoft.Search/operations?api-version=2025-05-01

Resposta da amostra

{
  "value": [
    {
      "name": "Microsoft.Search/operations/read",
      "display": {
        "description": "Lists all of the available operations of the Microsoft.Search provider.",
        "operation": "List all available operations",
        "provider": "Microsoft Search",
        "resource": "Search Services"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/register/action",
      "display": {
        "description": "Registers the subscription for the search resource provider and enables the creation of search services.",
        "operation": "Register the Search Resource Provider",
        "provider": "Microsoft Search",
        "resource": "Search Services"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/write",
      "display": {
        "description": "Creates or updates the search service.",
        "operation": "Set Search Service",
        "provider": "Microsoft Search",
        "resource": "Search Services"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/read",
      "display": {
        "description": "Reads the search service.",
        "operation": "Get Search Service",
        "provider": "Microsoft Search",
        "resource": "Search Services"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/delete",
      "display": {
        "description": "Deletes the search service.",
        "operation": "Delete Search Service",
        "provider": "Microsoft Search",
        "resource": "Search Services"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/start/action",
      "display": {
        "description": "Starts the search service.",
        "operation": "Start Search Service",
        "provider": "Microsoft Search",
        "resource": "Search Services"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/stop/action",
      "display": {
        "description": "Stops the search service.",
        "operation": "Stop Search Service",
        "provider": "Microsoft Search",
        "resource": "Search Services"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/listAdminKeys/action",
      "display": {
        "description": "Reads the admin keys.",
        "operation": "Get Admin Key",
        "provider": "Microsoft Search",
        "resource": "Search Services"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/regenerateAdminKey/action",
      "display": {
        "description": "Regenerates the admin key.",
        "operation": "Regenerate Admin Key",
        "provider": "Microsoft Search",
        "resource": "Search Services"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/listQueryKeys/action",
      "display": {
        "description": "Returns the list of query API keys for the given Azure AI Search service.",
        "operation": "Get Query Keys",
        "provider": "Microsoft Search",
        "resource": "API Keys"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/createQueryKey/action",
      "display": {
        "description": "Creates the query key.",
        "operation": "Create Query Key",
        "provider": "Microsoft Search",
        "resource": "Search Services"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/deleteQueryKey/delete",
      "display": {
        "description": "Deletes the query key.",
        "operation": "Delete Query Key",
        "provider": "Microsoft Search",
        "resource": "API Keys"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/checkNameAvailability/action",
      "display": {
        "description": "Checks availability of the service name.",
        "operation": "Check Service Name Availability",
        "provider": "Microsoft Search",
        "resource": "Service Name Availability"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/diagnosticSettings/read",
      "display": {
        "description": "Gets the diganostic setting for the resource.",
        "operation": "Get Diagnostic Setting",
        "provider": "Microsoft Search",
        "resource": "Diagnostic Settings"
      },
      "isDataAction": false,
      "origin": "system"
    },
    {
      "name": "Microsoft.Search/searchServices/diagnosticSettings/write",
      "display": {
        "description": "Creates or updates the diganostic setting for the resource.",
        "operation": "Set Diagnostic Setting",
        "provider": "Microsoft Search",
        "resource": "Diagnostic Settings"
      },
      "isDataAction": false,
      "origin": "system"
    },
    {
      "name": "Microsoft.Search/searchServices/metricDefinitions/read",
      "display": {
        "description": "Gets the available metrics for the search service.",
        "operation": "Read search service metric definitions",
        "provider": "Microsoft Search",
        "resource": "The metric definitions for the search service"
      },
      "isDataAction": false,
      "origin": "system"
    },
    {
      "name": "Microsoft.Search/searchServices/logDefinitions/read",
      "display": {
        "description": "Gets the available logs for the search service.",
        "operation": "Read search service log definitions",
        "provider": "Microsoft Search",
        "resource": "The log definition for the search service"
      },
      "isDataAction": false,
      "origin": "system"
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/validate/action",
      "display": {
        "description": "Validates a private endpoint connection create call from NRP (Microsoft.Network Resource Provider) side.",
        "operation": "Validate Private Endpoint Connection Proxy",
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/write",
      "display": {
        "description": "Creates a private endpoint connection proxy with the specified parameters or updates the properties or tags for the specified private endpoint connection proxy.",
        "operation": "Create Private Endpoint Connection Proxy",
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/read",
      "display": {
        "description": "Returns the list of private endpoint connection proxies or gets the properties for the specified private endpoint connection proxy.",
        "operation": "Get Private Endpoint Connection Proxy",
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/delete",
      "display": {
        "description": "Deletes an existing private endpoint connection proxy.",
        "operation": "Delete Private Endpoint Connection Proxy",
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnections/write",
      "display": {
        "description": "Creates a private endpoint connection with the specified parameters or updates the properties or tags for the specified private endpoint connections.",
        "operation": "Create Private Endpoint Connection",
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection"
      },
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnections/read",
      "display": {
        "description": "Returns the list of private endpoint connections or gets the properties for the specified private endpoint connection.",
        "operation": "Get Private Endpoint Connection",
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection"
      },
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnections/delete",
      "display": {
        "description": "Deletes an existing private endpoint connection.",
        "operation": "Delete Private Endpoint Connection",
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection"
      },
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/write",
      "display": {
        "description": "Creates a new shared private link resource with the specified parameters or updates the properties for the specified shared private link resource.",
        "operation": "Create Shared Private Link Resource",
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/read",
      "display": {
        "description": "Returns the list of shared private link resources or gets the properties for the specified shared private link resource.",
        "operation": "Get Shared Private Link Resource",
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/delete",
      "display": {
        "description": "Deletes an existing shared private link resource.",
        "operation": "Delete Shared Private Link Resource",
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/operationStatuses/read",
      "display": {
        "description": "Get the details of a long running shared private link resource operation.",
        "operation": "Get Operation Status",
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/indexes/read",
      "display": {
        "description": "Return an index or its statistics, return a list of indexes or their statistics, or test the lexical analysis components of an index.",
        "operation": "Read Index",
        "provider": "Microsoft Search",
        "resource": "Indexes"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/indexes/write",
      "display": {
        "description": "Create an index or modify its properties.",
        "operation": "Create or Update Index",
        "provider": "Microsoft Search",
        "resource": "Indexes"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/indexes/delete",
      "display": {
        "description": "Delete an index.",
        "operation": "Delete Index",
        "provider": "Microsoft Search",
        "resource": "Indexes"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/synonymMaps/read",
      "display": {
        "description": "Return a synonym map or a list of synonym maps.",
        "operation": "Read Synonym Map",
        "provider": "Microsoft Search",
        "resource": "Synonym Maps"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/synonymMaps/write",
      "display": {
        "description": "Create a synonym map or modify its properties.",
        "operation": "Create or Update Synonym Map",
        "provider": "Microsoft Search",
        "resource": "Synonym Maps"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/synonymMaps/delete",
      "display": {
        "description": "Delete a synonym map.",
        "operation": "Delete Synonym Map",
        "provider": "Microsoft Search",
        "resource": "Synonym Maps"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/dataSources/read",
      "display": {
        "description": "Return a data source or a list of data sources.",
        "operation": "Read Data Source",
        "provider": "Microsoft Search",
        "resource": "Data Sources"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/dataSources/write",
      "display": {
        "description": "Create a data source or modify its properties.",
        "operation": "Create or Update Data Source",
        "provider": "Microsoft Search",
        "resource": "Data Sources"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/dataSources/delete",
      "display": {
        "description": "Delete a data source.",
        "operation": "Delete Data Source",
        "provider": "Microsoft Search",
        "resource": "Data Sources"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/skillsets/read",
      "display": {
        "description": "Return a skillset or a list of skillsets.",
        "operation": "Read Skillset",
        "provider": "Microsoft Search",
        "resource": "Skillsets"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/skillsets/write",
      "display": {
        "description": "Create a skillset or modify its properties.",
        "operation": "Create or Update Skillset",
        "provider": "Microsoft Search",
        "resource": "Skillsets"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/skillsets/delete",
      "display": {
        "description": "Delete a skillset.",
        "operation": "Delete Skillset",
        "provider": "Microsoft Search",
        "resource": "Skillsets"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/indexers/read",
      "display": {
        "description": "Return an indexer or its status, or return a list of indexers or their statuses.",
        "operation": "Read Indexer",
        "provider": "Microsoft Search",
        "resource": "Indexers"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/indexers/write",
      "display": {
        "description": "Create an indexer, modify its properties, or manage its execution.",
        "operation": "Create or Manage Indexer",
        "provider": "Microsoft Search",
        "resource": "Indexers"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/indexers/delete",
      "display": {
        "description": "Delete an indexer.",
        "operation": "Delete Indexer",
        "provider": "Microsoft Search",
        "resource": "Indexers"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/debugSessions/read",
      "display": {
        "description": "Return a debug session or a list of debug sessions.",
        "operation": "Read Debug Session",
        "provider": "Microsoft Search",
        "resource": "Debug Sessions"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/debugSessions/write",
      "display": {
        "description": "Create a debug session or modify its properties.",
        "operation": "Create or Update Debug Session",
        "provider": "Microsoft Search",
        "resource": "Debug Sessions"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/debugSessions/delete",
      "display": {
        "description": "Delete a debug session.",
        "operation": "Delete Debug Session",
        "provider": "Microsoft Search",
        "resource": "Debug Sessions"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/debugSessions/execute/action",
      "display": {
        "description": "Use a debug session, get execution data, or evaluate expressions on it.",
        "operation": "Execute Debug Session",
        "provider": "Microsoft Search",
        "resource": "Debug Sessions"
      },
      "isDataAction": false,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/indexes/documents/read",
      "display": {
        "description": "Read documents or suggested query terms from an index.",
        "operation": "Read Documents",
        "provider": "Microsoft Search",
        "resource": "Documents"
      },
      "isDataAction": true,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/indexes/documents/write",
      "display": {
        "description": "Upload documents to an index or modify existing documents.",
        "operation": "Write Documents",
        "provider": "Microsoft Search",
        "resource": "Documents"
      },
      "isDataAction": true,
      "origin": "user,system"
    },
    {
      "name": "Microsoft.Search/searchServices/indexes/documents/delete",
      "display": {
        "description": "Delete documents from an index.",
        "operation": "Delete Documents",
        "provider": "Microsoft Search",
        "resource": "Documents"
      },
      "isDataAction": true,
      "origin": "user,system"
    }
  ]
}

Definições

Name Descrição
ActionType

Enum. Indica o tipo de ação. "Interno" refere-se a ações que são apenas para APIs internas.

CloudError

Contém informações sobre um erro de API.

CloudErrorBody

Descreve um erro de API específico com um código de erro e uma mensagem.

Display

Informações de exibição localizadas para esta operação específica.

Operation

Operação da API REST

OperationListResult

O resultado da solicitação para listar operações da API REST. Ele contém uma lista de operações e uma URL para obter o próximo conjunto de resultados.

Origin

O executor pretendido da operação; como no Controle de Acesso Baseado em Recursos (RBAC) e na UX de logs de auditoria. O valor padrão é "user,system"

ActionType

Enum. Indica o tipo de ação. "Interno" refere-se a ações que são apenas para APIs internas.

Valor Descrição
Internal

CloudError

Contém informações sobre um erro de API.

Name Tipo Descrição
error

CloudErrorBody

Descreve um erro de API específico com um código de erro e uma mensagem.

message

string

Uma breve descrição do erro que sugere o que deu errado (para obter detalhes/informações de depuração, consulte a propriedade 'error.message').

CloudErrorBody

Descreve um erro de API específico com um código de erro e uma mensagem.

Name Tipo Descrição
code

string

Um código de erro que descreve a condição de erro com mais precisão do que um código de status HTTP. Pode ser usado para lidar programaticamente com casos de erro específicos.

details

CloudErrorBody[]

Contém erros aninhados relacionados a esse erro.

message

string

Uma mensagem que descreve o erro em detalhes e fornece informações de depuração.

target

string

O destino do erro específico (por exemplo, o nome da propriedade em erro).

Display

Informações de exibição localizadas para esta operação específica.

Name Tipo Descrição
description

string

A descrição amigável curta e localizada da operação; Adequado para dicas de ferramentas e visualizações detalhadas.

operation

string

O nome amigável conciso e localizado para a operação; adequado para dropdowns. Por exemplo, "Criar ou atualizar máquina virtual", "Reiniciar máquina virtual".

provider

string

A forma amigável localizada do nome do provedor de recursos, por exemplo, "Microsoft Monitoring Insights" ou "Microsoft Compute".

resource

string

O nome amigável localizado do tipo de recurso relacionado a esta operação. Por exemplo, "Máquinas Virtuais" ou "Coleções de Agendamento de Trabalho".

Operation

Operação da API REST

Name Tipo Descrição
actionType

ActionType

Enum. Indica o tipo de ação. "Interno" refere-se a ações que são apenas para APIs internas.

display

Display

Informações de exibição localizadas para esta operação específica.

isDataAction

boolean

Se a operação se aplica ao plano de dados. Isto é "verdadeiro" para operações de plano de dados e "falso" para operações de ARM/plano de controlo.

name

string

O nome da operação, de acordo com Resource-Based Controle de Acesso (RBAC). Exemplos: "Microsoft.Compute/virtualMachines/write", "Microsoft.Compute/virtualMachines/capture/action"

origin

Origin

O executor pretendido da operação; como no Controle de Acesso Baseado em Recursos (RBAC) e na UX de logs de auditoria. O valor padrão é "user,system"

OperationListResult

O resultado da solicitação para listar operações da API REST. Ele contém uma lista de operações e uma URL para obter o próximo conjunto de resultados.

Name Tipo Descrição
nextLink

string

A URL para obter o próximo conjunto de resultados da lista de operações, se houver.

value

Operation[]

A lista de operações do Azure AI Search, algumas suportadas pelo provedor de recursos e outras por APIs de plano de dados.

Origin

O executor pretendido da operação; como no Controle de Acesso Baseado em Recursos (RBAC) e na UX de logs de auditoria. O valor padrão é "user,system"

Valor Descrição
user
system
user,system